'use strict';

var db = require('massive').connectSync({ connectionString: DATABASE_URL });

module.exports = {
  postgres: function postgres(callback) {
    try {
      var result = db.runSync('SELECT 1 as one');
      if (result[0].one === 1) {
        callback(null, 'Database is available');
      } else {
        callback(true, 'Database is unavailable');
      }
    } catch (err) {
      callback(true, 'Error when accessing the database');
    }
  },
  redis: function redis(callback) {},
  nats: function nats(callback) {},
  s3: function s3(callback) {}
};