'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _awsSdk = require('aws-sdk');

var _awsSdk2 = _interopRequireDefault(_awsSdk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var S3 = function () {
  function S3(options) {
    (0, _classCallCheck3.default)(this, S3);

    _awsSdk2.default.config.update({ accessKeyId: options.access_key_id, secretAccessKey: options.secret_access_key });
    this._s3 = new _awsSdk2.default.S3();
  }

  (0, _createClass3.default)(S3, [{
    key: 'createHealthCheck',
    value: function createHealthCheck() {
      var _this = this;

      return function (callback) {
        try {
          _this._s3.listBuckets(function (err, data) {
            if (err) {
              callback(true, 'Error when accessing Amazon S3');
            } else {
              callback(null, 'Amazon S3 is available');
            }
          });
        } catch (err) {
          console.error('error in S3 health check: ' + err);
          callback(true, 'Error when accessing Amazon S3');
        }
      };
    }
  }]);
  return S3;
}();

exports.default = S3;