'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Nats = function () {
  function Nats(options) {
    var _this = this;

    (0, _classCallCheck3.default)(this, Nats);

    this._nats = require('nats').connect(options.url);
    this._nats.on('error', function (err) {
      console.error('Error with nats [' + options.url + ']: ' + err);
      _this._isError = true;
    });
    this._nats.on('connect', function (_) {
      _this._isError = false;
    });
  }

  (0, _createClass3.default)(Nats, [{
    key: 'createHealthCheck',
    value: function createHealthCheck() {
      var _this2 = this;

      return function (callback) {
        if (_this2._isError) {
          callback(true, 'Error with nats');
        } else {
          callback(null, 'Nats is available');
        }
      };
    }
  }]);
  return Nats;
}();

exports.default = Nats;