'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Redis = function () {
  function Redis(options) {
    (0, _classCallCheck3.default)(this, Redis);

    this._redis = require('redis').createClient(options.url);
  }

  (0, _createClass3.default)(Redis, [{
    key: 'createHealthCheck',
    value: function createHealthCheck() {
      var _this = this;

      return function (callback) {
        try {
          (function () {
            var echo = 'healthcheck';

            _this._redis.echo(echo, function (err, obj) {
              var failure = !(obj === echo);
              if (err || failure) {
                callback(true, 'Error when accessing Redis');
              } else {
                callback(null, 'Redis is available');
              }
            });
          })();
        } catch (err) {
          console.error('error in Redis health check: ' + err);
          callback(true, 'Error when accessing Redis');
        }
      };
    }
  }]);
  return Redis;
}();

exports.default = Redis;